import { UUIDV4, STRING, } from 'sequelize'

export default {
  options: {
    timestamps: false,
  },
  modelName: 'Tag',
  tableName: 'tags',
  rawAttributes: {
    id: {
      allowNull: true,
      primaryKey: true,
      type: UUIDV4,
    },
    name: {
      allowNull: false,
      type: STRING,
    },
  }
}
