import { UUIDV4, STRING, DATE, INTEGER, } from 'sequelize'

export default {
  options: {
    timestamps: false,
  },
  modelName: 'Transaction',
  tableName: 'transactions',
  rawAttributes: {
    id: {
      allowNull: true,
      primaryKey: true,
      type: UUIDV4,
    },
    deviceId: {
      allowNull: false,
      type: STRING,
    },
    operation: {
      allowNull: false,
      type: INTEGER,
    },
    objectId: {
      allowNull: false,
      type: STRING,
    },
    performedAt: {
      allowNull: false,
      type: DATE,
    },
  },
}
